summaryrefslogtreecommitdiff
path: root/net-misc/pingu
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /net-misc/pingu
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'net-misc/pingu')
-rw-r--r--net-misc/pingu/Manifest2
-rw-r--r--net-misc/pingu/files/pingu-1.5-makefile.patch21
-rw-r--r--net-misc/pingu/files/pingu.confd5
-rw-r--r--net-misc/pingu/files/pingu.initd13
-rw-r--r--net-misc/pingu/files/pingu.service11
-rw-r--r--net-misc/pingu/files/pingu.tmpfile1
-rw-r--r--net-misc/pingu/metadata.xml13
-rw-r--r--net-misc/pingu/pingu-1.5-r1.ebuild64
-rw-r--r--net-misc/pingu/pingu-1.5.1.ebuild55
9 files changed, 185 insertions, 0 deletions
diff --git a/net-misc/pingu/Manifest b/net-misc/pingu/Manifest
new file mode 100644
index 000000000000..52284a8b7b55
--- /dev/null
+++ b/net-misc/pingu/Manifest
@@ -0,0 +1,2 @@
+DIST pingu-1.5.1.tar.gz 31574 BLAKE2B afc11958aace1a1f87dbd9051f40354f4f0bd77f599d17a4772de8ba2f7d8d7fec0e203c87f354517bf0e29d5238265459a97d950a157316b530a577a989f472 SHA512 1ec50ad5a1cb7318dc6ffb8ab8454f85dda9d31ea13503eaf001109b7255b6e93e165769e9b3c7fd95f2449f079e107f81a974b148b6f00f50f13ee8124d92fb
+DIST pingu-1.5.tar.gz 31565 BLAKE2B 13d1fa075f32d5a32cece55c5292cda08f72e711a8567cc8b25ce0e2bb0325395f1346e9feb96eb266c93d10d04609d87562192f7b7d0c22730fd4a8561c6c1a SHA512 71e5fbe93f831f24d168957cdeaff2817a22f407575316d6515755bec760d10724821070549eaab562924237b96976a1a776ca903d5fe0cd9f9b69a38eadd8c9
diff --git a/net-misc/pingu/files/pingu-1.5-makefile.patch b/net-misc/pingu/files/pingu-1.5-makefile.patch
new file mode 100644
index 000000000000..a4c04aac31f2
--- /dev/null
+++ b/net-misc/pingu/files/pingu-1.5-makefile.patch
@@ -0,0 +1,21 @@
+--- a/src/Makefile 2017-11-25 18:39:32.667570139 +0200
++++ b/src/Makefile 2017-11-25 18:41:29.285573031 +0200
+@@ -17,7 +17,7 @@
+
+ rundir ?= $(localstatedir)/run
+
+-pingustatedir = $(rundir)/pingu
++pingustatedir = /run/pingu
+
+ DESTDIR ?=
+
+@@ -93,8 +93,7 @@
+ $(MAKE) -C $@
+
+ install: $(TARGETS) $(INSTALL_LUA_TARGET)
+- $(INSTALLDIR) $(DESTDIR)/$(bindir) $(DESTDIR)/$(sbindir) \
+- $(DESTDIR)/$(pingustatedir)
++ $(INSTALLDIR) $(DESTDIR)/$(bindir) $(DESTDIR)/$(sbindir)
+ $(INSTALL) $(BIN_TARGETS) $(DESTDIR)/$(bindir)
+ $(INSTALL) $(SBIN_TARGETS) $(DESTDIR)/$(sbindir)
+ for dir in $(SUBDIRS); do \
diff --git a/net-misc/pingu/files/pingu.confd b/net-misc/pingu/files/pingu.confd
new file mode 100644
index 000000000000..ae4ae8603fd0
--- /dev/null
+++ b/net-misc/pingu/files/pingu.confd
@@ -0,0 +1,5 @@
+# Config file for /etc/init.d/pingu
+
+# Various options.
+# run `pingu -h` for valid cmdline options
+OPTS=""
diff --git a/net-misc/pingu/files/pingu.initd b/net-misc/pingu/files/pingu.initd
new file mode 100644
index 000000000000..c4de6a754c31
--- /dev/null
+++ b/net-misc/pingu/files/pingu.initd
@@ -0,0 +1,13 @@
+#!/sbin/openrc-run
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+command=/usr/sbin/pingu
+command_args="-d ${OPTS}"
+description="Policy routing daemon"
+name="Policy routing daemon"
+pidfile=/run/pingu/pingu.pid
+
+depend() {
+ need net
+}
diff --git a/net-misc/pingu/files/pingu.service b/net-misc/pingu/files/pingu.service
new file mode 100644
index 000000000000..6677e9b8efd8
--- /dev/null
+++ b/net-misc/pingu/files/pingu.service
@@ -0,0 +1,11 @@
+[Unit]
+Description="Policy routing daemon"
+After=network.target
+
+[Service]
+Type=simple
+ExecStart=/usr/sbin/pingu -d
+Restart=on-abort
+
+[Install]
+WantedBy=multi-user.target
diff --git a/net-misc/pingu/files/pingu.tmpfile b/net-misc/pingu/files/pingu.tmpfile
new file mode 100644
index 000000000000..c48124d1e470
--- /dev/null
+++ b/net-misc/pingu/files/pingu.tmpfile
@@ -0,0 +1 @@
+d /run/pingu 0755 root root
diff --git a/net-misc/pingu/metadata.xml b/net-misc/pingu/metadata.xml
new file mode 100644
index 000000000000..1984ca6b8d23
--- /dev/null
+++ b/net-misc/pingu/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person" proxied="yes">
+ <email>spiderx@spiderx.dp.ua</email>
+ <name>Vladimir Pavljuchenkov</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/net-misc/pingu/pingu-1.5-r1.ebuild b/net-misc/pingu/pingu-1.5-r1.ebuild
new file mode 100644
index 000000000000..95ee72e03c46
--- /dev/null
+++ b/net-misc/pingu/pingu-1.5-r1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit edo systemd tmpfiles toolchain-funcs
+
+DESCRIPTION="Policy routing daemon with failover and load-balancing"
+HOMEPAGE="https://github.com/ncopa/pingu"
+SRC_URI="https://github.com/ncopa/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug doc"
+
+RDEPEND="dev-libs/libev"
+DEPEND="${RDEPEND}
+ sys-kernel/linux-headers"
+BDEPEND="
+ virtual/pkgconfig
+ doc? ( app-text/asciidoc )
+"
+
+# Fix QA with install into path /run/pingu must be created at runtime
+PATCHES=( "${FILESDIR}"/"${P}"-makefile.patch )
+
+QA_CONFIG_IMPL_DECL_SKIP=( 'strlcpy' )
+
+src_prepare() {
+ default
+
+ # Fix compilation issue
+ sed -e '/icp->un.frag.__unused = 0;/d' -i src/icmp.c || die
+}
+
+src_configure() {
+ local myconf=(
+ $(use_enable debug)
+ $(use_enable doc)
+ --prefix=/usr
+ )
+ edo ./configure "${myconf[@]}"
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)"
+}
+
+src_install() {
+ default
+
+ newtmpfiles "${FILESDIR}"/pingu.tmpfile pingu.conf
+ newinitd "${FILESDIR}"/pingu.initd pingu
+ newconfd "${FILESDIR}"/pingu.confd pingu
+ systemd_dounit "${FILESDIR}"/pingu.service
+ keepdir /var/lib/pingu
+ insinto /etc/pingu
+ newins pingu.conf pingu.conf.example
+}
+
+pkg_postinst() {
+ tmpfiles_process pingu.conf
+}
diff --git a/net-misc/pingu/pingu-1.5.1.ebuild b/net-misc/pingu/pingu-1.5.1.ebuild
new file mode 100644
index 000000000000..73a282c4fac8
--- /dev/null
+++ b/net-misc/pingu/pingu-1.5.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit edo systemd tmpfiles toolchain-funcs
+
+DESCRIPTION="Policy routing daemon with failover and load-balancing"
+HOMEPAGE="https://github.com/ncopa/pingu"
+SRC_URI="https://github.com/ncopa/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug doc"
+
+RDEPEND="dev-libs/libev"
+DEPEND="${RDEPEND}
+ sys-kernel/linux-headers"
+BDEPEND="virtual/pkgconfig
+ doc? ( app-text/asciidoc )"
+
+# Fix QA with install into path /run/pingu must be created at runtime
+PATCHES=( "${FILESDIR}"/"${PN}"-1.5-makefile.patch )
+
+QA_CONFIG_IMPL_DECL_SKIP=( 'strlcpy' )
+
+src_configure() {
+ local myconf=(
+ --prefix=/usr
+ "$(use_enable debug)"
+ "$(use_enable doc)"
+ )
+ edo ./configure "${myconf[@]}"
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)"
+}
+
+src_install() {
+ default
+
+ newtmpfiles "${FILESDIR}"/pingu.tmpfile pingu.conf
+ newinitd "${FILESDIR}"/pingu.initd pingu
+ newconfd "${FILESDIR}"/pingu.confd pingu
+ systemd_dounit "${FILESDIR}"/pingu.service
+ keepdir /var/lib/pingu
+ insinto /etc/pingu
+ newins pingu.conf pingu.conf.example
+}
+
+pkg_postinst() {
+ tmpfiles_process pingu.conf
+}